[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.OnCreatePanelClass

Event handler signalled to get the class used to create new panels in the status bar.

## Declaration

Source position: comctrls.pp line 205

`published property TStatusBar.OnCreatePanelClass : TSBCreatePanelClassEvent read FOnCreatePanelClass write FOnCreatePanelClass;`

## Description

OnCreatePanelClass is signalled (when assigned) in the CreatePanel method to get the class used to create new panels in the status bar. Assign an object procedure using the signature in TSBCreatePanelClassEvent to the property to override the value provided by the GetPanelClass method.